Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-1.5-compat
%define version 0.9
%define name juddi
# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

# If you want repolib package to be built,
# issue the following: 'rpmbuild --with repolib'

%define _with_repolib 1

%define with_repolib %{?_with_repolib:1}%{!?_with_repolib:0}
%define without_repolib %{!?_with_repolib:1}%{?_with_repolib:0}

%define repodir %{_javadir}/repository.jboss.com/juddi/0.9RC4-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src


# To make the tarball:
#  export CVSROOT=:pserver:anoncvs@cvs.apache.org:/home/cvspublic
#  cvs login (password: anoncvs)
#  cvs export -r juddi-0_9rc4 ws-juddi
#  find ws-juddi -name '*.jar' | xargs rm

%define basedir %{_var}/lib/%{name}
#%%define appdir %{basedir}/webapps
%define sqldir %{basedir}/sql
%define appapphomedir %{_datadir}/%{name}

Name:		juddi
Summary:	Open source Java implementation UDDI specification
Version: 	0.9
Release:	alt2_0.rc4.3jpp5
Epoch:		0
URL: 		http://ws.apache.org/juddi/
License: 	ASL 2.0
Group: 		Development/Java
Source0: 	%{name}-0.9rc4.tar.bz2
Source1:	juddi-component-info.xml
Patch0:		juddi-jdk5-enum.patch
BuildRequires: jpackage-utils
BuildRequires: ant
BuildRequires: axis
BuildRequires: jakarta-commons-logging
BuildRequires: tomcat5-servlet-2.4-api
#Optional:	axis
Requires: jakarta-commons-logging
Requires: tomcat5-servlet-2.4-api
BuildArch:	noarch

%description
jUDDI (pronounced "Judy") is an open source Java implementation 
of the Universal Description, Discovery, and Integration (UDDI) 
specification for Web Services.

%if %{with_repolib}
%package repolib
Summary:	 Artifacts to be uploaded to a repository library
Group:	         Development/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio
%endif

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

#%package webapp
#Group:		System Environment/Applications
#Summary:	Webapp for %{name}
#PreReq:		%{name} = %{epoch}:%{version}-%{release}
#Requires:	jakarta-commons-discovery
#Requires:	log4j
#Requires:	wsdl4j

#%description webapp
#Webapp for %{name}.

%package sql-init-statements
Group:		Development/Java
Summary:	SQL statements for database creation/configuration
Requires: %{name} = %{epoch}:%{version}-%{release}

%description sql-init-statements
SQL statements for creation/configuration of a database 
for storing web services metadata for %{name}.

%package apps
Group:		Development/Java
Summary:	EAR file for jUDDI
#Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires: axis
Requires: jakarta-commons-logging
Requires: tomcat5-servlet-2.4-api

%description apps
The Enterprise Archive (ear) file for %{name}.

%package webapps
Group:		Development/Java
Summary:	WAR file for jUDDI
#Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires: axis
Requires: jakarta-commons-logging
Requires: tomcat5-servlet-2.4-api

%description webapps
The Web Archive (war) file for %{name}.

%prep
%setup -q -n ws-juddi
%patch0 -p1
mkdir externals
build-jar-repository lib \
	axis/axis \
    axis/jaxrpc \
    axis/saaj \
	jakarta-commons-logging \
    servletapi5 \

%if %{with_repolib}
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" %{SOURCE1}
%endif

%build
export OPT_JAR_LIST=:
export CLASSPATH=
ant ear javadoc

%install

# *ars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/juddi
install -m 644 build/juddi.ear \
    $RPM_BUILD_ROOT%{_javadir}/juddi/juddi-%{version}.ear
ln -s juddi-%{version}.ear \
    $RPM_BUILD_ROOT%{_javadir}/juddi/juddi.ear

install -m 644 build/juddi.jar \
    $RPM_BUILD_ROOT%{_javadir}/juddi/juddi-%{version}.jar
ln -s juddi-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/juddi/juddi.jar

install -m 644 build/juddi.war \
    $RPM_BUILD_ROOT%{_javadir}/juddi/juddi-%{version}.war
ln -s juddi-%{version}.war \
    $RPM_BUILD_ROOT%{_javadir}/juddi/juddi.war

install -d -m 755 $RPM_BUILD_ROOT{%{appdir},%{sqldir}}

# webapps
#mv build/webapp/* $RPM_BUILD_ROOT%{appdir}

# sql
mv sql/* $RPM_BUILD_ROOT%{sqldir}

# /usr/share/juddi
install -d -m 755 $RPM_BUILD_ROOT/%{appapphomedir}
pushd $RPM_BUILD_ROOT%{appapphomedir}
	[ -d webapps ] || ln -fs %{appdir} webapps
	[ -d sql ] || ln -fs %{sqldir} sql
popd

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/docs/apiDocs/ \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%if %{with_repolib}
	install -d -m 755 $RPM_BUILD_ROOT%{repodir}
	install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
	install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{repodir}/component-info.xml
	install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
	install -m 755 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
	cp -p $RPM_BUILD_ROOT%{_javadir}/juddi/juddi.jar $RPM_BUILD_ROOT%{repodirlib}
        cp -p $RPM_BUILD_ROOT%{_javadir}/juddi/juddi.war $RPM_BUILD_ROOT%{repodirlib}
%endif
mkdir -p $RPM_BUILD_ROOT/var/lib/juddi/webapps

%files
%dir %{_javadir}/juddi
%{_javadir}/juddi/*.jar
%dir /var/lib/juddi/webapps

%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

#%files webapp
#%defattr(0644,root,root,0755)
#%{appdir}
#%dir %{appapphomedir}/webapps
#%dir %{appapphomedir}
#%dir %{basedir}

%files sql-init-statements
%{sqldir}
%dir %{appapphomedir}/sql
%dir %{appapphomedir}
%dir %{basedir}

%files apps
%{_javadir}/juddi/*.ear

%files webapps
%{_javadir}/juddi/*.war
%dir %{appapphomedir}/webapps

%if %{with_repolib}
%files repolib
%{repodir}
%endif

%changelog
* Sat Sep 06 2008 Igor Vlasenko <viy@altlinux.ru> 0:0.9-alt2_0.rc4.3jpp5
- converted from JPackage by jppimport script

* Sat Feb 02 2008 Igor Vlasenko <viy@altlinux.ru> 0:0.9-alt2_0.rc4.2jpp1.7
- packaged /var/lib/juddi/webapps (thanks to Alexey Torbin)

* Thu Nov 01 2007 Igor Vlasenko <viy@altlinux.ru> 0:0.9-alt1_0.rc4.2jpp1.7
- converted from JPackage by jppimport script

